==========================================================================================
Firmware release notes for Eaton Industrial Gateway Card (INDGW-M2, P/N 744-07774)

Firmware : Release 3.1.15
Date     : 2024/10/16
Eaton (c) 2024
==========================================================================================

Upgrade/Compatibility:
    This section describes the considerations for upgrading from a previous release. It is not recommended to upgrade to 3.x.x from 1.x.x directly. 1.x.x firmware versions should first be upgraded to 2.1.5 as an intermediate step and then upgraded to 3.x.x. Note that upgrading to 2.x.x from any 1.x.x firmware revision will clear all alarms and events from the user interface. A backup of these alarms and events is available through RESTful API. See https://www.eaton.com/network-m2 for detailed RESTful API documentation.
	
    Earlier versions can be upgraded to 3.1.15 according to the procedure described in the manual. Downgrade from 1.6.x or above to 1.5.x or below is not possible. Beyond this limitation, downgrade to earlier versions is possible but not recommended.


                              ===============================
                                Release 3.1.15 October 2024
                              ===============================                                                                        
	

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher, VPM 6.4.0 and higher

Supported UPS:		Eaton 5P, 5PX, 5PX G2, 5SC Rack, 9PX, 9PXM, 9SX, FERRUPS FX, 9E, 93PM (fw 1.48->), 93PM G2, 91PS, 91PS Monoblock, 93PS (fw 2.50->), 93PS Monoblock, 93E 15-80 EMEA (fw 8.00.01->), 93E G2 EMEA (fw 4.0.20->), 9395XC


Additions:

    - Add Energy Aware Active status
    - Add Energy Aware Available status
    - Energy Aware label in UI for available and inactive cases

Fixes:

    - Update openssh to 9.8p1
	- 9130 UPS segment synoptic issue in battery mode
    - Optimized CPU ressource usage
    - Improved UPS firmware upgrade compatibility
    - Internal log download not always successfull from 9395XP Centaur UPS
    - Fixed missing UPM data in KDP email attachment
    - Negative temperature values from EMP are now handled correctly to avoid battery over temperature alarms
    - Corrected Check Pull Chain address in Modbus UID 0
    - Increased the time out for request reports and descriptors from 1 sec to 5 sec.
    - Limited the number of UPMs to 15 in the sub module map
    - Corrected values for power Rating per Phase in Modbus UID 0


                              ===============================
                                Release 3.1.12 January 2024
                              ===============================                                                                        
	

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher, VPM 6.4.0 and higher

Supported UPS:		Eaton 5P, 5PX, 5PX G2, 5SC Rack, 9PX, 9PXM, 9SX, FERRUPS FX, 9E, 93PM (fw 1.48->), 93PM G2, 91PS, 91PS Monoblock, 93PS (fw 2.50->), 93PS Monoblock, 93E 15-80 EMEA (fw 8.00.01->), 93E G2 EMEA (fw 4.0.20->), 9395XC

Additions:

    - Support for Parallel 9395XC

Fixes:

    - Recover communications with Environmental Monitoring Probe in daisy chain configuration after reconnection
    - Corrected sensor alarm messages
    - HID UPS.PowerConverter.Output.Overload[1].Threshold now updating properly
    - Improved data update times
    - Add capability to set Device Id at 0 for Modbus-TCP map configuration
    - Report descriptor timeout changed from 10 sec to 60 sec
    - Cybersecurity updates
    - Various UI improvements
    - Fixed a security vulnerability related to Active Directory


                              ===============================
                                Release 3.1.8 February 2023
                              ===============================                                                                        
	

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher, VPM 6.4.0 and higher

Supported UPS:		Eaton 5P, 5PX, 5PX G2, 5SC Rack, 9PX, 9PXM, 9SX, FERRUPS FX, 9E, 93PM (fw 1.48->), 93PM G2, 91PS, 91PS Monoblock, 93PS (fw 2.50->), 93PS Monoblock, 93E 15-80 EMEA (fw 8.00.01->), 93E G2 EMEA (fw 4.0.20->)

Additions:

    - Support for Uninterruptable Power Modules
    - Location field in email body
    - TCP framing option for syslog server
    - Additional UPS battery thresholds: Low battery warning and minimum battery capacity for automatic restart
    - CLI access over USB for OOB management

Changes:

    - Incoming traffic no longer accepted on port 123
	- Device alarms can now be sent using Syslog

Fixes:

    - Cybersecurity updates
    - Various UI improvements

Known Limitations:

    - Negative Link Voltage shows incorrect value on 93E for Modbus and BACnet
    - Entire UPS Group does not work, Safe OFF, Safe ON, and Safe Reboot on 93PM 480V
	- Cannot change Low battery warning capacity threshold on 93PM or 93E
	- Nominal Input Output Voltage different on 93PM compared to PXG for Modbus and BACnet
	- upsIdentAttachedDevices unable to set value for SNMP
	- xupsInputTotalCurrent units measured in amps for SNMP


                              ===============================
                                Release 3.0.5 June 2022
                              ===============================                                                                        
	

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher, VPM 6.4.0 and higher

Supported UPS:		Eaton 5P, 5PX, 5SC Rack, 9PX, 9PXM, 9SX, FERRUPS FX, 9E, 93PM (fw 1.48->), 93PS (fw 2.50->), 91PS, 93E 15-80 EMEA (fw 8.00.01->), 93E G2 EMEA (fw 4.0.20->)

Supported ATS:      Eaton EATS115, EATS16, EATS120, EATS220
 
Additions:

    - Remote UPS firmware upgrade if supported by connected UPS
    - Selected support for management of local UPS settings
    - Capability to disable HTTP redirect
	- Support for RADIUS user profiles
	- CA/ CB compliant certificates
	- Support for PredictPulse Insight (Americas only)

Changes:

    - Upgrades to user management service
	- Made LDAP diagnostic available

Fixes:

    - Cybersecurity updates
    - Various UI improvements
    - Improved memory usage during firmware upgrades
	- Improved sensor communications
	- Improved LDAP features

Known Limitations:

    - Modbus uid 0 zOneline13 Battery Breaker not equal to PXG
    - Modbus uid 244 Battery Present does not match PXG Battery Energized
    - SnmpxupsTestBatteryStatus does not match PXG
    - SnmpupsTestResultsSummary does not match PXG
    - Modbus uid 0 Bypass Breaker-Contactor not available
    - Modbus uid 0 and BACnet System On Maintenance Bypass not available
    - SnmpupsIdentAttachedDevices unable to set value
    - BACnet 93PM MBS not found on BACnet
    - Modbus uid 0 and BACnet BladeUPS Battery Test Result shows Battery String Not Installed
    - SNMP UPS-MIB does not display unmapped alarms using XUPS-MIB
    - Modbus and BACnet Input KW Hours mapped but not available on 93PM
    - SNMP Units do not match PXG for xupsInputTotalCurrent
    - Modbus and BACnet 93PM Forced Transfer Enable does not match PXG
    - BACnet Output KW Hours different units than PXG
    - Modbus Output KW Hours different units than PXG
    - Modbus and BACnet Output Current Rating does not match PXG
    - BACnet iTimeSyncPeriod coded but not found
    - Modbus Frequency Deviation Limit not available on uid 0
    - Modbus Output Demand KW not available on uid0
    - Modbus uid 244 Nominal Input Voltage register named Nominal battery voltage on 93PM
    - Modbus uid 0 and BACnet registers 4385 and 4387 different than PXG
    - BACnet 93PM Alarms missing compared to PXG
    - SNMP 93PM Alarms not found compared to PXG
    - SNMP missing objects in UPS-MIB and XUPS-MIB in 93PM
    - BACnet 93PM selected objects not found
    - Modbus Asset Identification Tag not found
    - Modbus and BACnet and SNMP Battery Last Replaced Date not available on uid 0
    - Modbus 93PM selected alarms not found on uid 245
    - Modbus 93PM selected alarms not found on uid 0
    - Modbus register 1037 0-based on uid 244 mapped to Battery to be checked and does not match PXG
    - Modbus Indicator - Normal is not the same as PXG
    - SNMP xupsControlOutputOffDelay and xupsControlOutputOnDelay different than PXG
    - Modbus uid0 map nominal input frequency showed 0 when on battery mode
	
                              ===============================
                                Release 2.1.5 June 2021
                              ===============================                                                                        
	

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher, VPM 6.4.0 and higher

Supported UPS:		Eaton 5P, 5PX, 5SC Rack, 9PX, 9PXM, 9SX, 9130, FERRUPS FX, 9E, 93PM (fw 1.48 ->), 93PS (fw 2.50 ->), 91PS, 93E 15-80 EMEA (fw 8.00.01 ->), 93E G2 EMEA (fw 4.0.20->) 

Additions:

    - Support for BACnet IP and BBMD introduced for INDGW-M2 only
    - Added PXG compatible Modbus map (UID 0) on Industrial Gatway Card (INDGW-M2) 
    - Added Modbus register offset setting on Industrial Gatway Card (INDGW-M2)
    - Add the capability to control and monitor the battery test from the Modbus-MS map
    - Display number of EBM if supported by UPS

Changes:

    - Improved support for MQTT protocol
    - Updated SNMP xUPS MIB

Fixes:

    - Cybersecurity updates
    - Various improvements UI
    - Resolved issue with SNMP test trap button
    - Fix for CVE-2021-3156

                              ===============================
                                Release 2.0.5 November 2020
                              ===============================                                                                        
	

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher, VPM 6.4.0 and higher

Supported UPS:		Eaton 5P, 5PX, 5SC Rack, 9PX, 9PXM, 9SX, 9130, 
                        * 3 phase UPS are not supported for this release

Additions:

    - Alarms will auto clear when there are more than 6000 alarms
    - Ats2 SNMP MIB
    - Russian language support
    - Support for 9130 and EATS models

Changes:

    - Updated user interface
    - IE11 is no longer supported
    - Updated RESTful API for power distribution service
    - Added option to hide IP address from email body
    - Set Common Name (CN) to be the FQDN for webserver, syslog and mqtt certificates
    - Removed "Web server" prefix and -selfsigned suffix from CN
    - CN and SAN are now the same
    - Limitation of 20 IPP connected agents

Fixes:

    - Improvements to IETF and XUPS SNMP MIB
    - Resolved issue with forced reboot on 9PX/9SX
    - Allow special characters in LDAP configuration
    - Removed trailing "." from FQDN when no domain name is set
    - Resolved issue with email service periodic reports.

                              ===============================
                                Release 1.7.5 November 2019
                              ===============================                                                                        
	

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher

Supported UPS:		Eaton 5P, 5PX, 5SC Rack, 9PX, 9PXM, 9SX, 9E, 93PM (fw 1.48 ->), 93PS (fw 2.50 ->), 91PS, 93E 15-80 EMEA (fw 8.00.01 ->), 93E G2 EMEA (fw 4.0.20->) 
    
 
Fixes:

    - Fixed communication issue with 9PX 0 - 3 kVA and 9SX 0 - 3 kVA UPS which could lead to UPS becoming unresponsive or dropping the load.

                              ===============================
                                Release 1.7.4 October 2019
                              ===============================                                                                        

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher

Supported UPS:		Eaton 5P, 5PX, 5SC Rack, 9PX, 9PXM, 9SX, 9E, 93PM (fw 1.48 ->), 93PS (fw 2.50 ->), 91PS, 93E 15-80 EMEA (fw 8.00.01 ->), 93E G2 EMEA (fw 4.0.20->) 
    
Improvements:

    - Ability to work with IPM 1.67 to shut down VxRail systems.
    - Ability to create certificates with user defined Country, State or Province, City or Locality, Organization name and unit, Contact email address
    - Sensor log download and email capability
    - Improvements in configuration save and restore, support for IPM 2.0.1 mass configuration feature
    - Monitoring of card resources to help in troubleshooting.
  
Fixes:

    - If LDAP group name contains a space login to the card will become impossible.
    - SNMP: Battery alarms, Battery last replacement date, sensor index, negative offset for temperature and humidity
    - Battery status unknown on the synoptic with 9E 3K
    - Invalid Recommended replacement date for battery
    - Temperature compensated charging with 93PM, 93PS, 91PS, 93E
    - System logs blocking when syslog is enabled without server active configuration
    - Modbus registers "Nominal VA" and "Nominal kW" on Industrial Gatway Card (INDGW-M2)

Known issues and limitations:

    - LDAP remote groupname entered in profile mapping settings must be composed only of alphanumerics, underscore and hyphen characters
    - User defined certificate fields “state”, “organization”, “organization unit” must be composed of alphanumerics, space or following characters ‘,=()’
    - Web UI cache needs to be cleared with CTRL+F5 after an upgrade
    - Up to 30 shutdown agents can be connected.
    - Environmental probe values cannot be set to trigger shutdown.
    - Environmental probe settings cannot be saved or restored

                              ===============================
                                Release 1.6.6 July 2019
                              ===============================                                                                        

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher

Supported UPS:		Eaton 5P, 5PX, 5SC Rack, 9PX, 9PXM, 9SX, 9E, 93PM (fw 1.48 ->), 93PS (fw 2.50 ->), 91PS
    
Improvements:

   - NOTE: Changed DIP switch 3 function from admin password reset to sanitization (full reset and data purge)
   - Sanitization improvements (Done at boot after command, major version downgrade or dip switch 3 change)
   - Added support for RADIUS authentication
   - Added support for Syslog integration
   - Added support for Li-Ion batteries
   - Added 'Operator' profile
   - Measurement values option on the synoptic view
   - XUPS MIB enhancements
   - Added email/ping6/traceroute6/whoami options in CLI
   - Save and restore with passphrase and with fields including encrypted password
   - Eaton sensor new MIB
   - Battery page information in Meters
   - Added STARTTLS to SMTP (email)
   - Improved handling of network configuration data transmission to UPS

Fixes:
   - Issue with Chrome and self signed certificate
   - Issue with upgrading after changing admin username
   - Cybersecurity updates
   - Don't allow port 80 for https
   - Issue with card unable to handle a hostname with a number as the first character
   - Web server performance issue with RNDIS
   - IPV6 support on SNMP, LDAP, NTP
   - SNMP bug fixes:
            - Manage the trap UpsShutdownPending and also the related alarm in the Eaton Xups Mib.
            - Manage a trap entry related to the alarm UpsAlarmShutdownPending in the IETF MIB.
            - Manage the oid xupsBatteryLastReplaceDate in the Eaton Xups Mib.
            - Oid upsConfigDateAndTime cannot be written.
            - Implement the data xupsBatteryLastReplaceDate in the mib Eaton Xups.
            - Suppress final 0 in Mib data oid that are part of table in the Mibs.
            - Trap binded variables oid are completed either with 0 for scalar data,  or with the index for table data.
            - Eaton Xups Mib data named "---AverageCurrent" renamed to "---TotalCurrent" in the description Mib file to be consistent with the UPS measures.


Known issues and limitations:

    - If LDAP group name contains a space login to the card will become impossible.
    - Web UI cache needs to be cleared with CTRL+F5 after an upgrade
    - Up to 30 shutdown agents can be connected.
    - Environmental probe values cannot be set to trigger shutdown.
    - Temperature compensated charging control with 3 phase UPS does not work
	
                              ===============================
                                Release 1.5.3 January 2019
                              ===============================                                                                        

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher

Supported UPS:		Eaton 5P, 5PX, 5SC Rack, 9PX, 9SX, 9E
    
Fixes:
   - Increased LDAP username and password length to match LDAP maximum
   - Fixed IPv6 addressing issues with SNMPv3 and LDAP

Known issues and limitations:

    - Web UI cache needs to be cleared with CTRL+F5 after an upgrade
    - Up to 30 shutdown agents can be connected.
    - Environmental probe values cannot be set to trigger shutdown.
   
                              ===============================
                                Release 1.5.1 December 2018
                              ===============================                                                                        

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher

Supported UPS:		Eaton 5P, 5PX, 5SC Rack, 9PX, 9SX, 9E
    
Improvements:

   - Added support for LDAP authentication
   - Added measurements display on the synoptic view of the home screen
   - Added multiphase support on the synoptic view
   - Shutdown procedures disabled when no agents are connected
   - Alarms page reworked
   - XUPS MIB enhancements
   - Added tolerance to communication losses with UPS

Fixes:
   - Cybersecurity updates
   - Communication and certificate issues with IPM and IPP software

Known issues and limitations:

    - Web UI cache need to be cleared with CTRL+F5 after an upgrade
    - Up to 30 shutdown agents can be connected.
    - Environmental probe values cannot be set to trigger shutdown.
    - Length of username and groupname in LDAP are both limited to 31 characters

--------------------------------------------------------------------------------
                              ===============================
                                Release 1.4.9 September 2018
                              ===============================                                                                        

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher

Supported UPS:		Eaton 5P, 5PX, 5SC Rack, 9PX, 9SX
    
Improvements:

   - SNMP alarms table in XUPS and IETF MIB fixed.
   - Communication issue with some 9PX and 9SX models resolved.

Limitations:
    - Not able to display 3 phase measurements.
    - Environmental probe values cannot be set to trigger shutdown.
    - Up to 30 shutdown agents can be connected.

--------------------------------------------------------------------------------
                              ===========================
                                Release 1.4.3 July 2018
                              ===========================                                                                          

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher

Supported UPS:		Eaton 5P, 5PX, 5SC Rack, 9PX, 9SX
    
Improvements:

   - Enabled pairing with user credentials especially for easier use with IPM.

Known issues:
    - SNMP alarms table in XUPS and IETF MIB not working.

Limitations:
    - Not able to display 3 phase measurements.
    - Environmental probe values cannot be set to trigger shutdown.
--------------------------------------------------------------------------------

                              ===========================
                                Release 1.4.2 July 2018
                              ===========================                                                                          

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher

Supported UPS:		Eaton 5P, 5PX, 9PX, 9SX

Improvements:

   - Added support for environmental monitoring probes (gen 2, C/N: EMPDT1H1C2, P/N:744-A4026)
   - Added capability to download measurement history in CSV format
   - Added capability to save and restore settings through UI and SSH
   - Added capability to download maintenance report from the UI for advanced troubleshooting
 
Fixes:
   - Cybersecurity updates

Known issues:
    - SNMP alarms table in XUPS and IETF MIB not working.
    - Pairing with IPM and IPP using user credentials does not work. 
	Trying this may lead to a lockup in the communication.
	To recover, remove the connection and rediscover the card.

Limitations:
    - Up to 30 shutdown agents can be connected.
    - Not able to display 3 phase measurements.
    - Environmental probe values cannot be set to trigger shutdown.
--------------------------------------------------------------------------------

                              ===========================
                                Release 1.3.3 June 2018
                              ===========================                                                                          

    - Initial firmware release for the Eaton Gigabit Network Card (Network-M2).

Software compatibility: IPP 1.61 and higher, IPM 1.61 and higher

Supported UPS:		Eaton 5P, 5PX, 9PX, 9SX

Known issues:
    - SNMP alarms table in XUPS and IETF MIB not working.
    
Limitations:
    - Up to 30 shutdown agents can be connected.
    - Does not support environmental monitoring probes.
    - Environmental probe values cannot be set to trigger shutdown.
    - Not able to display 3 phase measurements.